Package edu.msu.cme.rdp.classifier.train.validation

## Class SortedROCSet.ResultComparator

- java.lang.Object
- - edu.msu.cme.rdp.classifier.train.validation.SortedROCSet.ResultComparator

All Implemented Interfaces:
  `java.util.Comparator<SortedROCSet.PredictionCount>`

Enclosing class:
  SortedROCSet

    public static class SortedROCSet.ResultComparator
    extends java.lang.Object
    implements java.util.Comparator<SortedROCSet.PredictionCount>

### Constructor Summary

Constructors
`ResultComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare​(SortedROCSet.PredictionCount lhs, SortedROCSet.PredictionCount rhs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### ResultComparator

    public ResultComparator()

### Method Detail

#### compare

    public int compare​(SortedROCSet.PredictionCount lhs,
                       SortedROCSet.PredictionCount rhs)

Specified by:
  `compare` in interface `java.util.Comparator<SortedROCSet.PredictionCount>`